Package com.io7m.idstore.database.api

# Class IdDatabaseAdminSearchByEmailPaging

java.lang.Object
com.io7m.idstore.database.api.IdDatabaseAdminSearchByEmailPaging

All Implemented Interfaces:
  `IdDatabaseAdminSearchByEmailPagingType`, `IdDatabasePagingType<IdAdminSearchByEmailParameters,IdAdminSummary,IdDatabaseAdminsQueriesType>`

public final class IdDatabaseAdminSearchByEmailPaging extends Object implements IdDatabaseAdminSearchByEmailPagingType
A paging handler for admin summaries.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdDatabaseAdminSearchByEmailPagingType`
  `create(IdAdminSearchByEmailParameters inParameters)`
  A paging handler for admin summaries.
  `int`
  `pageCount()`
  `List<IdAdminSummary>`
  `pageCurrent(IdDatabaseAdminsQueriesType queries)`
  Obtain the current page's values.
  `long`
  `pageFirstOffset()`
  `List<IdAdminSummary>`
  `pageNext(IdDatabaseAdminsQueriesType queries)`
  Seek to the next page and return values within that page.
  `boolean`
  `pageNextAvailable()`
  `int`
  `pageNumber()`
  `IdAdminSearchByEmailParameters`
  `pageParameters()`
  `List<IdAdminSummary>`
  `pagePrevious(IdDatabaseAdminsQueriesType queries)`
  Seek to the previous page and return values within that page.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.idstore.database.api.IdDatabasePagingType

  `pagePreviousAvailable`

- ## Method Details

  - ### create

    public static IdDatabaseAdminSearchByEmailPagingType create(IdAdminSearchByEmailParameters inParameters)
    A paging handler for admin summaries.
    Parameters:
      `inParameters` - The admin list parameters
    Returns:
      A paging handler

  - ### pageParameters

    public IdAdminSearchByEmailParameters pageParameters()
    Specified by:
      `pageParameters` in interface `IdDatabasePagingType<IdAdminSearchByEmailParameters,IdAdminSummary,IdDatabaseAdminsQueriesType>`
    Returns:
      The immutable page parameters used for the queries

  - ### pageNumber

    public int pageNumber()
    Specified by:
      `pageNumber` in interface `IdDatabasePagingType<IdAdminSearchByEmailParameters,IdAdminSummary,IdDatabaseAdminsQueriesType>`
    Returns:
      The current page number

  - ### pageFirstOffset

    public long pageFirstOffset()
    Specified by:
      `pageFirstOffset` in interface `IdDatabasePagingType<IdAdminSearchByEmailParameters,IdAdminSummary,IdDatabaseAdminsQueriesType>`
    Returns:
      The index of the first item in the current page

  - ### pageCount

    public int pageCount()
    Specified by:
      `pageCount` in interface `IdDatabasePagingType<IdAdminSearchByEmailParameters,IdAdminSummary,IdDatabaseAdminsQueriesType>`
    Returns:
      An approximate count of the number of available pages

  - ### pageNextAvailable

    public boolean pageNextAvailable()
    Specified by:
      `pageNextAvailable` in interface `IdDatabasePagingType<IdAdminSearchByEmailParameters,IdAdminSummary,IdDatabaseAdminsQueriesType>`
    Returns:
      `true` If the next page is currently available

  - ### pagePrevious

    public List<IdAdminSummary> pagePrevious(IdDatabaseAdminsQueriesType queries) throws IdDatabaseException
    Description copied from interface: `IdDatabasePagingType`
    Seek to the previous page and return values within that page.
    Specified by:
      `pagePrevious` in interface `IdDatabasePagingType<IdAdminSearchByEmailParameters,IdAdminSummary,IdDatabaseAdminsQueriesType>`
    Parameters:
      `queries` - The queries
    Returns:
      The page's results
    Throws:
      `IdDatabaseException` - On database errors

  - ### pageNext

    public List<IdAdminSummary> pageNext(IdDatabaseAdminsQueriesType queries) throws IdDatabaseException
    Description copied from interface: `IdDatabasePagingType`
    Seek to the next page and return values within that page.
    Specified by:
      `pageNext` in interface `IdDatabasePagingType<IdAdminSearchByEmailParameters,IdAdminSummary,IdDatabaseAdminsQueriesType>`
    Parameters:
      `queries` - The queries
    Returns:
      The page's results
    Throws:
      `IdDatabaseException` - On database errors

  - ### pageCurrent

    public List<IdAdminSummary> pageCurrent(IdDatabaseAdminsQueriesType queries) throws IdDatabaseException
    Description copied from interface: `IdDatabasePagingType`
    Obtain the current page's values.
    Specified by:
      `pageCurrent` in interface `IdDatabasePagingType<IdAdminSearchByEmailParameters,IdAdminSummary,IdDatabaseAdminsQueriesType>`
    Parameters:
      `queries` - The queries
    Returns:
      The page's results
    Throws:
      `IdDatabaseException` - On database errors